Subject: bug#10477: zap-to-char should allow picking from history

From: Juri Linkov <[email-masked]>
Date: Wed, 30 Oct 2019 02:00:34 +0200

>> Exactly, by rebinding self-insert-command:
>
> OK; I've taken your code and tweaked it a bit and used it to replace
> read-char-with-history.

I also renamed it to a better name: by analogy with read-from-minibuffer,
and to hint that it relies on, the new name is read-char-from-minibuffer.